Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat
Class Slider

    java.lang.Object
      jcontrol.ui.wombat.Component
          jcontrol.ui.wombat.AbstractFocusComponent
              jcontrol.ui.wombat.Slider

All Implemented Interfaces:
  EventListener, ActionProducer, KeyListener, TouchListener, IFocusable

    public class Slider

extends AbstractFocusComponent

This class implements a slider user interface object. The slider can be moved using the keyboard or the touch screen to simulate analog input. The slider issues notificiation by throwing an ActionEvent of the type `ActionEvent.VALUE_CHANGED` when it is moved.

(c) Copyright 2005-2007 DOMOLOGIC GmbH

Field Summary
`static int` | `ORIENTATION_HORIZONTAL`
`static int` | `ORIENTATION_VERTICAL`

Fields inherited from class jcontrol.ui.wombat.AbstractFocusComponent
`BORDER_WIDTH, listener`

Fields inherited from class jcontrol.ui.wombat.Component
`backgroundColor, COLOR_COMPONENT_BACKGROUND, COLOR_COMPONENT_BACKGROUND_HIGHLIGHTED, COLOR_COMPONENT_DARK_SHADOW, COLOR_COMPONENT_FOREGROUND, COLOR_COMPONENT_FOREGROUND_INACTIVE, COLOR_COMPONENT_HIGHLIGHT_SHADOW, COLOR_COMPONENT_LIGHT_SHADOW, COLOR_COMPONENT_LIST_BACKGROUND, COLOR_COMPONENT_NORMAL_SHADOW, COLOR_COMPONENT_SELECTION_TEXT, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND_INACTIVE, COLOR_COMPONENT_SELECTION_TEXT_INACTIVE, eventQueue, font, foregroundColor, frame, height, parent, RESERVED1, RESERVED2, RESERVED3, RESERVED4, RESERVED5, RESERVED6, state, STATE_ABORT_UPDATE, STATE_ANIMATED, STATE_BG_COLOR_SET, STATE_COVERED, STATE_DIRTY_MASK, STATE_DIRTY_PAINTALL, STATE_DIRTY_REPAINT, STATE_DIRTY_UPDATE, STATE_DISABLED, STATE_DISPOSED, STATE_FG_COLOR_SET, STATE_FOCUS, STATE_HEIGHT_FIXED, STATE_NO_REDRAW, STATE_REVALIDATE, STATE_SELECTED, STATE_SIZE_FIXED, STATE_UPDATED, STATE_VISIBLE, STATE_WIDTH_FIXED, transparentColor, width, x, y`

Fields inherited from interface jcontrol.ui.wombat.IFocusable
`TRANSFER_FOCUS_BACKWARD, TRANSFER_FOCUS_FORWARD`

Fields inherited from interface jcontrol.ui.wombat.event.TouchListener
`RESULT_ACCEPTED, RESULT_EXECUTED, RESULT_NONE`

Constructor Summary
`Slider(int x, int y, int width, int height, int min, int max, int orientation)` Constructs a slider.

Method Summary
`int` | `getValue()` Get the slider's value.
`KeyEvent` | `onKeyEvent(KeyEvent event)` Handle key events.
`int` | `onTouchEvent(TouchEvent e)` Every time a touch event is fired, this method will be called.
`void` | `paint(XGraphics g)` Paint the Slider.
`void` | `setStep(int step)` Sets the step value for the slider.
`boolean` | `setValue(int value)` Set the slider value.

Methods inherited from class jcontrol.ui.wombat.AbstractFocusComponent
`clearCorners, drawBevelRect, drawButton, drawDottedRect, drawFocusRect, getActionListener, onActionEvent, requestFocus, setActionListener, setEnabled, setVisible`

Methods inherited from class jcontrol.ui.wombat.Component
`drawDisabledImage, getFrame, isEnabled, isVisible, isVisibleInternal, redrawInternalAndParent, repaint, repaintAll, safeExec, setBackgroundColor, setBackgroundColorInternal, setBounds, setDirty, setFont, setForegroundColor, setForegroundColorInternal, setParametersInternal, setRedraw, setTransparentColor, unsafeExec, update`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### ORIENTATION_HORIZONTAL

    public static final int ORIENTATION_HORIZONTAL

See Also:
  Constant Field Values

### ORIENTATION_VERTICAL

    public static final int ORIENTATION_VERTICAL

See Also:
  Constant Field Values

Constructor Detail

### Slider

    public Slider(int x,
                  int y,
                  int width,
                  int height,
                  int min,
                  int max,
                  int orientation)

  Constructs a slider.

  Parameters:
    `x` - the upper left x coordinate.
    `y` - the upper left y coordinate.
    `width` - the width of the slider (must be horizontal)
    `height` - the height of the slider (must be vertical)
    `min` - the slider's minimum value (>= 0)
    `max` - the slider's maximum value.
    `orientation` - ORIENTATION_HORIZONTAL or ORIENTATION_VERTICAL

Method Detail

### setStep

    public void setStep(int step)

  Sets the step value for the slider.

  Parameters:
    `step` - the step.

### setValue

    public boolean setValue(int value)

  Set the slider value. Calling this method will not fire an ActionEvent.

  Parameters:
    `value` - The new value.
  Returns:
    true if the slider's value has changed

### getValue

    public int getValue()

  Get the slider's value.

  Returns:
    int The current value.

### paint

    public void paint(XGraphics g)

  Paint the Slider. Don't call this method directly.

  Overrides:
    `paint` in class `Component`
  Parameters:
    `g` - the application's graphics object.

### onKeyEvent

    public KeyEvent onKeyEvent(KeyEvent event)

  Handle key events.

  Specified by:
    `onKeyEvent` in interface `KeyListener`
  Specified by:
    `onKeyEvent` in class `AbstractFocusComponent`
  Parameters:
    `event` - the key event
  Returns:
    `null` if the KeyEvent has been consumed by the KeyListener,
    or the the specified KeyEvent if it should be passed on to the next KeyListener.

### onTouchEvent

    public int onTouchEvent(TouchEvent e)

  Description copied from interface: `TouchListener`
  Every time a touch event is fired, this method will be called.

  Specified by:
    `onTouchEvent` in interface `TouchListener`
  Specified by:
    `onTouchEvent` in class `AbstractFocusComponent`
  Parameters:
    `e` - The touch event.
  Returns:
    `RESULT_ACCEPTED` if the TouchEvent has been consumed by the TouchListener,
    `RESULT_EXECUTED` if the TouchEvent has been consumed by the TouchListener and some important action has been performed, e.g. an action event has been invoked,
    `RESULT_NONE` if the TouchEvent should be passed on to the next TouchListener.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD